package com.tuoheng.admin.service.third.dsp;

import com.alibaba.fastjson.JSONObject;
import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.request.inspection.MissionStatusRequest;
import com.tuoheng.common.core.utils.JsonResult;

public interface IDspService {
    JSONObject serviceInstApplication(JSONObject jsonObject, String dspServiceInstId);

    JSONObject serviceStopApplication(JSONObject jsonObject);

    /**
     * 调用DSP进行AI分析
     *
     * @param inspection
     * @param pushUrl
     * @param pullUrl
     *
     *
     * @return
     */
    JsonResult startAI(Inspection inspection, String pushUrl, String pullUrl);

    /**
     * 硬件停止后，停止AI分析
     *
     * @param inspectionId
     * @return
     */
    JsonResult stopAI(String inspectionId);
}
